Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(21)

Issue 2726843006: ShapeDetection: add support for Text Detection in Mac (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 3 weeks ago by mcasas
Modified:
3 months, 2 weeks ago
CC:
Aaron Boodman, abarth-chromium, chromium-reviews, creis+watch_chromium.org, darin (slow to review), darin-cc_chromium.org, jam, mac-reviews_chromium.org, nasko+codewatch_chromium.org, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, vmpstr+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

ShapeDetection: add support for Text Detection in Mac This CL adds text detection for Mac in services/shape_detection, and also adds unittest for it, that will be run, like the other specific unittests, in the mac gpu bots. BUG=697925 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.mac:mac_optional_gpu_tests_rel TEST= unittests that can be run anywhere like this: out/gn/service_unittests --gtest_filter=*TextDetection* --use-gpu-in-tests and demo page, e.g. ./out/gn/Chromium.app/Contents/MacOS/Chromium --enable-blink-features=ShapeDetection https://codepen.io/miguelao/full/ygxVqg Review-Url: https://codereview.chromium.org/2726843006 Cr-Commit-Position: refs/heads/master@{#454609} Committed: https://chromium.googlesource.com/chromium/src/+/de6e85f0f4d505692f11c7f2d1c39f043f702796

Patch Set 1 #

Patch Set 2 : cleanup #

Total comments: 15

Patch Set 3 : reillyg@s comments #

Patch Set 4 : offline reillyg@s comment on DCHECK location #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+297 lines, -2 lines) Patch
M base/mac/sdk_forward_declarations.h View 1 chunk +12 lines, -0 lines 0 comments Download
M base/mac/sdk_forward_declarations.mm View 1 chunk +5 lines, -0 lines 0 comments Download
M content/browser/renderer_host/render_process_host_impl.cc View 1 chunk +4 lines, -0 lines 0 comments Download
M content/public/app/mojo/content_browser_manifest.json View 1 chunk +2 lines, -1 line 0 comments Download
M services/shape_detection/BUILD.gn View 3 chunks +5 lines, -0 lines 0 comments Download
M services/shape_detection/manifest.json View 1 chunk +2 lines, -1 line 0 comments Download
M services/shape_detection/shape_detection_service.cc View 2 chunks +2 lines, -0 lines 0 comments Download
A services/shape_detection/text_detection_impl.h View 1 2 1 chunk +24 lines, -0 lines 0 comments Download
A services/shape_detection/text_detection_impl.cc View 1 2 1 chunk +14 lines, -0 lines 0 comments Download
A services/shape_detection/text_detection_impl_mac.h View 1 2 1 chunk +33 lines, -0 lines 0 comments Download
A services/shape_detection/text_detection_impl_mac.mm View 1 2 3 1 chunk +83 lines, -0 lines 1 comment Download
A services/shape_detection/text_detection_impl_mac_unittest.mm View 1 2 1 chunk +111 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 33 (16 generated)
mcasas
reillyg@ PTAL rockot@ RS services changes
3 months, 3 weeks ago (2017-03-02 21:51:15 UTC) #5
Ken Rockot(use gerrit already)
services rs lgtm
3 months, 3 weeks ago (2017-03-02 21:53:19 UTC) #6
Reilly Grant (use Gerrit)
https://codereview.chromium.org/2726843006/diff/20001/services/service_manager/service_manager.cc File services/service_manager/service_manager.cc (right): https://codereview.chromium.org/2726843006/diff/20001/services/service_manager/service_manager.cc#newcode202 services/service_manager/service_manager.cc:202: const bool allowed = (exposed.size() == 1 && exposed.count("*") ...
3 months, 3 weeks ago (2017-03-02 22:10:26 UTC) #7
mcasas
reillyg@ PTAL https://codereview.chromium.org/2726843006/diff/20001/services/service_manager/service_manager.cc File services/service_manager/service_manager.cc (right): https://codereview.chromium.org/2726843006/diff/20001/services/service_manager/service_manager.cc#newcode202 services/service_manager/service_manager.cc:202: const bool allowed = (exposed.size() == 1 ...
3 months, 3 weeks ago (2017-03-02 23:27:51 UTC) #8
mcasas
https://codereview.chromium.org/2726843006/diff/20001/services/shape_detection/text_detection_impl_mac.mm File services/shape_detection/text_detection_impl_mac.mm (right): https://codereview.chromium.org/2726843006/diff/20001/services/shape_detection/text_detection_impl_mac.mm#newcode44 services/shape_detection/text_detection_impl_mac.mm:44: NSDictionary* const opts = @{CIDetectorAccuracy : CIDetectorAccuracyHigh}; On 2017/03/02 ...
3 months, 3 weeks ago (2017-03-03 01:23:28 UTC) #9
mcasas
avi@chromium.org plz RS additions to sdk_forward_declarations and the addition to render_process_host_impl.cc
3 months, 3 weeks ago (2017-03-03 01:29:06 UTC) #12
Avi (ping after 24h)
content LGTM I can't help you with the SDK forward declarations; I'm not a base/ ...
3 months, 3 weeks ago (2017-03-03 01:35:54 UTC) #13
Reilly Grant (use Gerrit)
lgtm
3 months, 3 weeks ago (2017-03-03 01:42:34 UTC) #14
mcasas
tsepez@: plz RS content/public/app/mojo/content_browser_manifest.json avi@: sdk_forward_declarations.* is covered by a per-file sdk_forward_declarations.*=file://chrome/browser/ui/cocoa/OWNERS and your name ...
3 months, 3 weeks ago (2017-03-03 01:53:32 UTC) #16
Avi (ping after 24h)
On 2017/03/03 01:53:32, mcasas wrote: > tsepez@: plz RS > content/public/app/mojo/content_browser_manifest.json > > avi@: sdk_forward_declarations.* ...
3 months, 3 weeks ago (2017-03-03 01:59:05 UTC) #17
Tom Sepez
RS LGTM
3 months, 3 weeks ago (2017-03-03 17:28:16 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2726843006/80001
3 months, 3 weeks ago (2017-03-03 17:30:40 UTC) #25
commit-bot: I haz the power
Committed patchset #4 (id:80001) as https://chromium.googlesource.com/chromium/src/+/de6e85f0f4d505692f11c7f2d1c39f043f702796
3 months, 3 weeks ago (2017-03-03 17:40:47 UTC) #28
Yoav Weiss
On 2017/03/03 17:40:47, commit-bot: I haz the power wrote: > Committed patchset #4 (id:80001) as ...
3 months, 2 weeks ago (2017-03-04 23:03:09 UTC) #29
Avi (ping after 24h)
On 2017/03/04 23:03:09, Yoav Weiss wrote: > On 2017/03/03 17:40:47, commit-bot: I haz the power ...
3 months, 2 weeks ago (2017-03-04 23:32:22 UTC) #30
Avi (ping after 24h)
A revert of this CL (patchset #4 id:80001) has been created in https://codereview.chromium.org/2728253003/ by avi@chromium.org. ...
3 months, 2 weeks ago (2017-03-04 23:32:47 UTC) #31
Avi (ping after 24h)
3 months, 2 weeks ago (2017-03-04 23:37:12 UTC) #32
Message was sent while issue was closed.
https://codereview.chromium.org/2726843006/diff/80001/services/shape_detectio...
File services/shape_detection/text_detection_impl_mac.mm (right):

https://codereview.chromium.org/2726843006/diff/80001/services/shape_detectio...
services/shape_detection/text_detection_impl_mac.mm:68: for (CIRectangleFeature*
const f in features) {
Yoav Weiss is getting:

../../services/shape_detection/text_detection_impl_mac.mm:68:8:
> error: 'CIRectangleFeature' is only available on macOS 10_10 or newer

You're going to need to forward declare that class as well, so that we kill the
partial availability warning.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318